package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetJgUnlockBitCommand extends WriteMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 935723353287421429L;

	public final static int JG_UNLOCK = 1; //井盖解锁
	
	private int unlock;
	
	public int getUnlock() {
		return unlock;
	}

	public void setUnlock(int unlock) {
		this.unlock = unlock;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETJGUNLOCK;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置井盖解锁位命令[" + unlock + "]";
	}
}
